## mmorph 2.3.4

=== Makefile ===
# Generated automatically from Makefile.in by configure.
#
#    mmorph, MULTEXT morphology tool
#    Version 2.3, October 1995
#    Copyright (c) 1994,1995 ISSCO/SUISSETRA, Geneva, Switzerland
#    Dominique Petitpierre, <petitp@divsun.unige.ch>

# use with
#       make target
# where target is one of:
#       all             build everything (default)
#       install         build and install everything from a source distribution
#       realclean       remove every reconstructible file
#       test            test the compiled tool against some saved results
#
############################################################################
# Macros most likely to be subject to customization

# directory where to install this package
MTHOME=/usr/local/pck/multext

# manual section for user commands
USERSECT=1

# manual section for file formats
FILESECT=5

# directory containing lib/libdb.a and include/db.h
# /usr/local defaults to /usr/local, but this can be changed with the
# option --prefix of configure (cf. 00INSTALL.configure)
USRLOCALDIR=/usr/local

# you probably don't need to change anything below this line
#==========================================================================

# directory in user's PATH
BINDIR=$(MTHOME)/bin
# directory in user's MANPATH
MANDIR=$(MTHOME)/man
INSTALLBIN=cp
INSTALLMAN=cp
# directory containing libdb.a
DBLIBDIR=$(USRLOCALDIR)/lib
# directory containing db.h
DBINCLUDEDIR=$(USRLOCALDIR)/include

# need flex, lex does not handle 8 bit character codes
LEX=flex
# optimize what you can
LFLAGS=-8 -Ca

YACC=yacc

INCLUDEDIRS=-I$(DBINCLUDEDIR)
# librairies where to find system things:
# on Solaris: -lnsl for xdr functions
LIBS=
LDLIBS=  $(LIBS) -L$(DBLIBDIR) -ldb

# cc defaults to gcc if it is available, cc otherwise.
# It can be changed by setting the environment variable CC prior to
# running ./configure  (cf. 00INSTALL.configure)
CC=cc
# On IBM's AIX, -O breaks the program: For the moment avoid with
# CFLAGS=
# On Silicon Graphics IRIX, strange interference with db.h (symbol UINT_MAX).
# For the moment avoid with -cckr:
# CFLAGS=-cckr
# On Alpha: to allow enough room for optimizing
# CFLAGS=-O1000
# CFLAGS=-pg -g -DDEBUG
CFLAGS=-O

INCLUDES= config.h user.h symbols.h unify.h bitmap.h chain.h mymalloc.h \
	 combine.h database.h spell.h output.h tfs.h crc32file.h \
	 tbl.h version.h
CSOURCES=symbols.c unify.c bitmap.c chain.c output.c mymalloc.c \
	 combine.c main.c database.c lookup.c spell.c tfs.c \
	 crc32file.c tbl.c
OBJS=main.o tokenize.o y.tab.o symbols.o unify.o bitmap.o chain.o \
     output.o mymalloc.o combine.o database.o lookup.o spell.o \
     tfs.o crc32file.o tbl.o

# evaluate make commands in the Bourne shell
SHELL=/bin/sh

# MAKE=make macro definition


PROGRAM=mmorph

all: all_tools

all_tools: $(PROGRAM)

tokenize.c: tokenize.l
	rm -f $@
	$(LEX) $(LFLAGS) -t $< >$@

y.tab.h  y.tab.c: user.y
	rm -f y.tab.h y.tab.c
	$(YACC) -dvt user.y 2>&1 \
	| sed -f yacc.sed

tokenstr.h: y.tab.h  tokenstr.sed
	rm -f $@
	sed -f tokenstr.sed -n y.tab.h >$@

y.tab.o: y.tab.c $(INCLUDES) y.tab.h parse.h 
tokenize.o: tokenize.c $(INCLUDES) y.tab.h parse.h
main.o: main.c $(INCLUDES)  y.tab.h parse.h tokenstr.h
symbols.o: symbols.c $(INCLUDES)
unify.o: unify.c $(INCLUDES)
bitmap.o: bitmap.c bitmap.h mymalloc.h config.h
chain.o: chain.c chain.h mymalloc.h config.h
output.o: output.c output.h parse.h config.h
mymalloc.o: mymalloc.c mymalloc.h config.h
combine.o: combine.c $(INCLUDES)
lookup.o: lookup.c $(INCLUDES)
tfs.o: tfs.c $(INCLUDES)
tbl.o: tbl.c $(INCLUDES)
crc32file.o: crc32file.c
database.o: database.c $(INCLUDES)
	 $(CC) $(CFLAGS) $(CPPFLAGS) -c $(INCLUDEDIRS) $<
spell.o: spell.c $(INCLUDES)


$(PROGRAM): $(OBJS)
	$(CC) $(CFLAGS)  $(CPPFLAGS) -o $@ $(OBJS) $(LDLIBS)

clean:
	rm -f *.o tokenize.c y.tab.h y.tab.c tokenstr.h y.output \
	      *.CKP */*.CKP .emacs_[0-9]* *.dvi *.txt *.log \
	      example.out example.errs data/example.db data/example.tfs \
	      *.aux latex2text*.tex gmon.out mon.out \
	      config.log configure.scan config.cache

distclean: realclean
realclean: clean
	rm -f  $(PROGRAM) tags test *.BAK *.bak tokenize config.status \
		stamp-h.in stamp-h */*.BAK */*.bak

check: test
test: test1 test2
test1: $(PROGRAM)
	LC_CTYPE=C ./$(PROGRAM) -n -m data/example -l example.out
	@if { diff data/example.test example.out; } ;\
	then echo "test1 passed OK! ;-)" ;\
	else echo "test1 failed! :-(" ;\
	     exit 1 ;\
	fi

test2: $(PROGRAM)
	rm -f data/example.db data/example.tfs
	LC_CTYPE=C ./$(PROGRAM) -c -m data/example \
		    -l example.errs data/example.words example.out
	@if { diff data/example.lookup example.out; } ;\
	then echo "test2 passed OK! ;-)" ;\
	else echo "test2 failed! :-(" ;\
	     exit 1 ;\
	fi

install:  install_tools install_man

install_tools: install_bin


install_bin: $(PROGRAM) $(BINDIR)
	rm -f $(BINDIR)/$(PROGRAM)
	$(INSTALLBIN) $(PROGRAM) $(BINDIR)/$(PROGRAM)

install_man: install_man1 install_man5

install_man1: mmorph.1 $(MANDIR)/man$(USERSECT)
	rm -f $(MANDIR)/man$(USERSECT)/mmorph.$(USERSECT)
	$(INSTALLMAN) mmorph.1 $(MANDIR)/man$(USERSECT)/mmorph.$(USERSECT)

install_man5: mmorph.5 $(MANDIR)/man$(FILESECT)
	rm -f $(MANDIR)/man$(FILESECT)/mmorph.$(FILESECT)
	$(INSTALLMAN) mmorph.5 $(MANDIR)/man$(FILESECT)/mmorph.$(FILESECT)

$(MANDIR)/man$(USERSECT): $(MANDIR)
	./mkdirhier  $@

$(MANDIR)/man$(FILESECT): $(MANDIR)
	./mkdirhier $@

# Do not create MANDIR if it does not exist: the man pages would be
# probably be inaccessible anyway.
$(MANDIR):
	@if [ ! -d  $@ ] ; then \
	 echo "Manual hierarchy $@ does not exist, please create it." ;\
	 echo "Alternatively: adjust macro MANDIR in Makefile.in to be one" ;\
	 echo "of the existing paths in your MANPATH environment variable" ;\
	 echo 'then run "./configure" and "make install" again.' ;\
	 exit 1 ;\
	fi

# Do not create BINDIR  if it does not exist: the programs would be
# probably be inaccessible anyway.
$(BINDIR):
	@if [ ! -d  $@ ] ; then \
	 echo "Binary location $@ does not exist, please create it." ;\
	 echo "Alternatively: adjust macro BINDIR in Makefile.in to be one" ;\
	 echo "of the existing paths in your PATH environment variable" ;\
	 echo 'then run "./configure" and "make install" again.' ;\
	 exit 1 ;\
	fi

#================================================================
# The following are ad'hoc targets used by the developper.
# Adapt and use at your own risk


# force the use of gcc. same as "make -k  CC=gcc CFLAGS=<gcc flags>"
GCC=gcc
GCCFLAGS=-g -O -ansi -Wall
gcc:
	$(MAKE) -k CC="$(GCC)" CFLAGS="$(GCCFLAGS)" LDLIBS="$(LDLIBS)" \
		INCLUDEDIRS="$(INCLUDEDIRS)" MTHOME=$(MTHOME) \
		USERSECT=$(USERSECT) FILESECT=$(FILESECT) \
		USRLOCALDIR=$(USRLOCALDIR)
malloc:
	$(MAKE) -k  CFLAGS=-g \
	   CPPFLAGS="-I/usr/local/include" \
	   DBLIBDIR="/usr/local/lib -lmalloc"

malloc2:
	$(MAKE) -k  CFLAGS=-g \
	   CPPFLAGS="-DMALLOC_FUNC_CHECK -I/usr/local/include" \
	   DBLIBDIR="/usr/local/lib -lmalloc"

data/example.test: $(PROGRAM) data/example
	LC_CTYPE=C ./$(PROGRAM) -n -m data/example -l $@

data/example.words: data/example.test
	LC_CTYPE=iso_8859_1 ./$(PROGRAM) -n -m data/example 2>&1 \
	    | cut -d\" -f2 |sort -u >$@

data/example.lookup: $(PROGRAM) data/example.words
	rm -f data/example.db data/example.tfs
	LC_CTYPE=C ./$(PROGRAM) -c -m data/example data/example.words $@

DISTFILES= tokenize.l user.y $(CSOURCES) $(INCLUDES) parse.h Makefile \
	   yacc.sed tokenstr.sed lint.sed \
	   00INSTALL 00INSTALL.configure 00README 00CHANGES 00COPYRIGHT \
	   00RELEASE_NOTES mmorph.1 mmorph.5 mmorph_v2.tex mkdirhier \
	   data/example data/example.test data/example.lookup \
	   data/example.words data/french data/english \
	   data/lex.exp.A data/lex.exp.N data/lex.exp.V data/lex.exp.minor \
	   data/lex.proper data/german util/swap util/factorize \
	   configure configure.in Makefile.in config.h.in

mkf:
	make -f Makefile.mkf Makefile

Coda_server: FORCE
	echo '{' >tmp
	echo $(DISTFILES) \
	| tr ' ' '\012' \
	| sed -e '/^Makefile$$/d' -e '/^config.h$$/d' \
	      -e 's/^/"/' -e 's/$$/"/' >>tmp
	echo '}' >>tmp
	sed -e '/{/r tmp' -e '/{/,/}/d'  Coda_server >Coda_server.new
	mv Coda_server.new Coda_server
	rm -rf tmp

FORCE:


tokenize: tokenize.c
	$(CC) -DTEST -o tokenize tokenize.c

indent:
	for f in $(CSOURCES) $(INCLUDES) parse.h ;\
	    do if [ -f $$f ] ;\
	       then indent $$f ;\
		    mv $$f.BAK $$f.bak ;\
	       fi ; \
	done

tags: indent
	ctags -t tokenize.l user.y $(CSOURCES) $(INCLUDES) parse.h

REMOTE=issun9
backup: realclean
	(ls -d alpha* mmorph-* *.ps data/*.db data/*.tfs data/*.forms \
	       data/*.out data/*.out.gz \
	       data/lex* data2 bug >/tmp/exclude.$$ ;\
	 gtar --block-compress --totals -cvzf $(REMOTE):/dev/fd0 -b 36 \
	      . $$CVSROOT/mmorph -X /tmp/exclude.$$ ;\
	 rm -f /tmp/exclude.$$)
	make tags # prepare for new work phase (indent,tags and .BAK files)
	cp user.y user.y.bak
	cp tokenize.l tokenize.l.bak

backup2: 
	(ls -d alpha* mmorph-* *.ps data/*.db data/*.tfs data/*.forms \
	       data/*.out data/*.out.gz \
	       data/lex* data2 bug *.BAK *.bak tags >/tmp/exclude.$$ ;\
	 gtar --block-compress --totals -cvzf $(REMOTE):/dev/fd0 -b 36 \
	      . $$CVSROOT/mmorph -X /tmp/exclude.$$ ;\
	 rm -f /tmp/exclude.$$)

restore:
	mkdir backup
	(cd backup ;\
	GZIP="-q" gtar --block-compress -xzf $(REMOTE):/dev/rfd0 -b 36)

lint: 	y.tab.c  y.tab.h tokenstr.h tokenize.c
	lint $(INCLUDEDIRS) $(CSOURCES) y.tab.c tokenize.c \
	 | sed -f lint.sed

cvstag:
	cvs tag multext_2_3_4 $(DISTFILES)

solaris:
	rdist -d 'FILES=( ${DISTFILES} )' solaris

aix:
	rdist -d 'FILES=( ${DISTFILES} )' aix

alpha:
	rdist -d 'FILES=( ${DISTFILES} )' alpha

irix:
	rdist -d 'FILES=( ${DISTFILES} )' irix

sun3:
	rdist -d 'FILES=( ${DISTFILES} )' sun3

archive:
	tar cvf - ${DISTFILES} | gzip >mmorph-2.0.tar.gz

run: $(PROGRAM)
	$(PROGRAM) -d1 -n -m example

MMORPHVERSION=2
DELIVERABLEID=D2_3_1B

postscript: mmorph.1.ps mmorph.5.ps mmorph_v$(MMORPHVERSION).ps

text: mmorph.1.txt mmorph.5.txt mmorph_v$(MMORPHVERSION).txt

PSROFF=groff -Tps

mmorph.1.ps: mmorph.1
	$(PSROFF) -man mmorph.1 >mmorph.1.ps

mmorph.5.ps: mmorph.5
	$(PSROFF) -man mmorph.5 >mmorph.5.ps

mmorph_v$(MMORPHVERSION).ps:  mmorph_v$(MMORPHVERSION).tex
	latex mmorph_v$(MMORPHVERSION)
	latex mmorph_v$(MMORPHVERSION)
	dvitps mmorph_v$(MMORPHVERSION) >mmorph_v$(MMORPHVERSION).ps

mmorph.1.txt: mmorph.1
	nroff -Tlpr -man mmorph.1 | col -b >mmorph.1.txt

mmorph.5.txt: mmorph.5
	nroff -Tlpr -man mmorph.5 | col -b >mmorph.5.txt

mmorph_v$(MMORPHVERSION).txt:  mmorph_v$(MMORPHVERSION).tex
	latex2text mmorph_v$(MMORPHVERSION) > mmorph_v$(MMORPHVERSION).txt

packdoc: mmorph.1 mmorph.1.txt mmorph.1.ps mmorph.5 mmorph.5.txt \
	    mmorph.5.ps mmorph_v$(MMORPHVERSION).tex \
	    mmorph_v$(MMORPHVERSION).txt mmorph_v$(MMORPHVERSION).ps \
	    README.$(DELIVERABLEID)
	mkdir $(DELIVERABLEID)
	ln mmorph_v$(MMORPHVERSION).tex mmorph_v$(MMORPHVERSION).txt \
	    mmorph_v$(MMORPHVERSION).ps \
	    mmorph.1 mmorph.1.txt mmorph.1.ps \
	    mmorph.5 mmorph.5.txt mmorph.5.ps \
	    $(DELIVERABLEID)
	ln README.$(DELIVERABLEID) $(DELIVERABLEID)/README
	tar cvf - $(DELIVERABLEID) | gzip > $(DELIVERABLEID).tar.gz
	rm -rf  $(DELIVERABLEID)

## mmorph 2.3.4.2

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 # optimize what you can
 LFLAGS=-8 -Ca
 
-YACC=yacc
+YACC=bison -y
 
 INCLUDEDIRS=-I$(DBINCLUDEDIR)
 # librairies where to find system things:
@@ -57,10 +57,10 @@
 LIBS=
 LDLIBS=  $(LIBS) -L$(DBLIBDIR) -ldb
 
-# cc defaults to gcc if it is available, cc otherwise.
+# gcc defaults to gcc if it is available, cc otherwise.
 # It can be changed by setting the environment variable CC prior to
 # running ./configure  (cf. 00INSTALL.configure)
-CC=cc
+CC=gcc
 # On IBM's AIX, -O breaks the program: For the moment avoid with
 # CFLAGS=
 # On Silicon Graphics IRIX, strange interference with db.h (symbol UINT_MAX).
@@ -69,7 +69,7 @@
 # On Alpha: to allow enough room for optimizing
 # CFLAGS=-O1000
 # CFLAGS=-pg -g -DDEBUG
-CFLAGS=-O
+CFLAGS=-O -g
 
 INCLUDES= config.h user.h symbols.h unify.h bitmap.h chain.h mymalloc.h \
 	 combine.h database.h spell.h output.h tfs.h crc32file.h \

=== debian/changelog ===
mmorph (2.3.4.2-17) unstable; urgency=medium

  * QA upload.
  * debian/control: migrated DH level to 13.
  * debian/rules:
      - Added DEB_CFLAGS_MAINT_APPEND variable as a workaround to fix a FTBFS
        with GCC-10. (Closes: #957550)
      - Removed DEB_LDFLAGS_MAINT_APPEND variable, used to inject
        -Wl,--as-needed in build process because it is default since Bullseye.
  * debian/salsa-ci.yml: added allow_failure to lintian until the issue isn't
    solved. (See #966295)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Jul 2020 23:51:42 -0300

mmorph (2.3.4.2-16) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Created VCS fields.
  * debian/copyright: updated packaging copyright years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform trivial CI tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 26 Mar 2020 16:41:54 -0300

mmorph (2.3.4.2-15) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 Oct 2017 16:34:43 -0300

mmorph (2.3.4.2-14) experimental; urgency=medium

  * QA upload.
  * debian/rules: use --no-parallel to try avoid a FTBFS. See #877542.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 Oct 2017 14:45:06 -0300

mmorph (2.3.4.2-13) unstable; urgency=medium

  * QA upload.
  * Ack for NMU. Thanks to Ondřej Surý <ondrej@debian.org>.
    (Closes: #501972, #621108)
  * Set Debian QA Group as maintainer. (see #721059)
  * New upstream homepage.
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to simplified format.
      - DebSrc to 3.0 format.
      - DH level to 10.
  * debian/clean: created to remove some files created by build process.
  * debian/control:
      - Added Homepage field.
      - Bumped Standards-Version to 4.1.1.
      - Changed priority from extra to optional.
      - Improved long description.
      - Removed a leading article from short description.
  * debian/dirs: create needed directories.
  * debian/docs: install some files previously installed by debian/rules.
  * debian/examples: install some files previously installed by debian/rules.
  * debian/patches/:
      - 10_old-changes.patch: avoid direct changes in upstream source code by
        previous procedures.
      - 20_fix-spelling.patch: added to fix a spelling error in final binary.
      - 30_fix-configure.patch: added to fix a command not found when running
        configure.
  * debian/watch: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 30 Sep 2017 22:44:23 -0300

mmorph (2.3.4.2-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild with db5.1 (Closes: #621108)
  * Replace sys_errlist[] with strerror() (Closes: #501072, #501072)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 May 2011 11:39:00 +0200

mmorph (2.3.4.2-12) unstable; urgency=medium

  * debian/control (Build-Depends): Omit libdb3-dev option since libdb-dev
    is now a real package instead of a virtual package.  Closes: (#500615)
    Thanks to Luk Claes <luk@debian.org> for the bug report.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun, 05 Oct 2008 15:05:22 -0700

mmorph (2.3.4.2-11) unstable; urgency=low

  * mmorph.1: Properly escape all the "-" characters that should be
    minus signs.
  * debian/control: (Build-Depends): Require at least version 5 of debhelper
    to match debian/compat.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun, 24 Feb 2008 19:04:42 -0500

mmorph (2.3.4.2-10) unstable; urgency=low

  * debian/control (Standards-Version): Update to 3.7.3.  No changes needed.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 14 Jan 2008 16:18:41 -0500

mmorph (2.3.4.2-9) unstable; urgency=low

  * debian/control (Standards-Version): Update to 3.7.2.
  * debian/compat: New file (level 5).
  * debian/control (Depends): Add ${misc:Depends}.
  * debian/rules (DH_COMPAT): Remove declaration.

 -- Thomas Bushnell, BSG <tb@debian.org>  Tue,  3 Oct 2006 00:12:41 -0700

mmorph (2.3.4.2-8) unstable; urgency=low

  * debian/rules (configure): Add YACC="bison -y" to satisfy weird build
    failures.

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed,  9 Nov 2005 21:54:47 -0800

mmorph (2.3.4.2-7) unstable; urgency=low

  * debian/control (Build-Depends): Give real alternative of libdb4.3-dev
    for virtual package libdb-dev.  (Closes: #333784)

 -- Thomas Bushnell, BSG <tb@debian.org>  Thu, 13 Oct 2005 10:58:12 -0700

mmorph (2.3.4.2-6) unstable; urgency=low

  * debian/copyright: Update FSF address.
  * debian/mmorph.1: Set .TH section to 1.  Fix initial comment to match.
  * debian/mmorph.5: Fix filename in initial comment.
  * debian/control (Standards-Version): Bump to 3.6.2.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sat,  1 Oct 2005 00:04:56 -0700

mmorph (2.3.4.2-5) unstable; urgency=low

  * debian/control (Description): Remove last (derisive)
    sentence. (Closes: #326629).

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun,  4 Sep 2005 15:24:39 -0700

mmorph (2.3.4.2-4) unstable; urgency=low

  * Build-Depends on libdb-dev instead of specifying libdb4.1-dev to allow
    more flexibility.  Closes: #263229.

 -- Thomas Bushnell, BSG <tb@debian.org>  Tue,  3 Aug 2004 17:39:01 -0700

mmorph (2.3.4.2-3) unstable; urgency=low

  * Accept NMU under maintainer name.  Closes: #192860, #195465.

 -- Thomas Bushnell, BSG <tb@becket.net>  Sat,  5 Jun 2004 13:03:27 -0700

mmorph (2.3.4.2-2.2) unstable; urgency=low

  * Non-maintainer upload from DebCamp BSP.
  * Make it build with GCC 3.3.
   (Closes: Bug#195465)



=== debian/control ===
Source: mmorph
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), bison, flex, libdb-dev
Rules-Requires-Root: no
Homepage: https://www.issco.unige.ch/en/research/projects/MULTEXT.html
Vcs-Browser: https://salsa.debian.org/debian/mmorph
Vcs-Git: https://salsa.debian.org/debian/mmorph.git

Package: mmorph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: two-level morphology tool for natural language processing
 The MULTEXT morphology tool, mmorph, is a free implementation of the
 two-level formalism for natural language morphology.
 .
 mmorph is a tool for morphology analysis or any other purposes. mmorph
 provides the means by which lexicons can be constructed and modified,
 and texts annotated with lexical information.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Workaround for #957550
export DEB_CFLAGS_MAINT_APPEND = -fcommon

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- YACC="bison -y" LDLIBS=-ldb

override_dh_auto_install:
	dh_auto_install -- MTHOME=debian/mmorph/usr MANDIR=debian/mmorph/usr/share/man

override_dh_installchangelogs:
	dh_installchangelogs 00CHANGES

=== debian/tests/control ===
Test-Command: mmorph -h
Restrictions: allow-stderr

Test-Command: mmorph -v
